JBoss API: Class GlobalTxEntityMap

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb
Class GlobalTxEntityMap

    java.lang.Object
      |
      +--org.jboss.ejb.GlobalTxEntityMap

public class GlobalTxEntityMap
extends java.lang.Object

This class provides a way to find out what entities are contained in what transaction. It is used, to find which entities to call ejbStore() on when a ejbFind() method is called within a transaction. EJB 2.0- 9.6.4 also, it is used to synchronize on a remove. Used in EntitySynchronizationInterceptor, EntityContainer Entities are stored in an ArrayList to ensure specific ordering.

Version:
  $Revision: 1.1.4.1 $
Author:
  Bill Burke

Field Summary
`protected java.util.HashMap` | `m_map`

Constructor Summary
`GlobalTxEntityMap()`

Method Summary
`void` | `associate(javax.transaction.Transaction tx, EntityEnterpriseContext entity)` associate entity with transaction
`EntityEnterpriseContext[]` | `getEntities(javax.transaction.Transaction tx)` get all EntityEnterpriseContext that are involved with a transaction.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_map

    protected java.util.HashMap m_map

Constructor Detail

### GlobalTxEntityMap

    public GlobalTxEntityMap()

Method Detail

### associate

    public void associate(javax.transaction.Transaction tx,
                          EntityEnterpriseContext entity)
                   throws javax.transaction.RollbackException,
                          javax.transaction.SystemException

  associate entity with transaction

### getEntities

    public EntityEnterpriseContext[] getEntities(javax.transaction.Transaction tx)

  get all EntityEnterpriseContext that are involved with a transaction.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.